/*
 *	$Id: config.h,v 1.1.1.1 2001/10/30 00:30:11 fault Exp $

 	code based upon the IceWM kwin client by gallium (gallium@kde.org)
	and megagradient kwin client by Mosfet (mosfet@kde.org)
	as well as Blackbox by Brad Hughes
 */

#ifndef _KBoxConfig_H
#define _KBoxConfig_H

#include <qwidget.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlistbox.h>
#include <qlabel.h>
#include <kurllabel.h>
#include <kconfig.h>

class KComboBox;

class KBoxConfig: public QObject
{
	Q_OBJECT

	public:
		KBoxConfig( KConfig* conf, QWidget* parent );
		~KBoxConfig();

	// These public signals/slots work similar to KCM modules
	signals:
		void changed();

	public slots:
		void load( KConfig* conf );
		void save( KConfig* conf );
		void defaults();

	protected slots:
		void slotSelectionChanged();	// Internal use
		void callURL( const QString& s );
		void findblackboxstyles();
		void justSelectionChanged(int);
	private:
		KConfig*   KBoxConfiga;
		QLabel* justLabel;
		KComboBox* justBox;
		QCheckBox* cbstyleTitleTextColors;
		QCheckBox* cbstyleTitleFont;
		QGroupBox* gb1;
		QGroupBox* gb2;
		QListBox*  styleListBox;
		QLabel*	   styleLabel;
		KURLLabel* urlLabel;

		QString    localstylestring;
};


#endif
// vim: ts=4
